ChatAssistant Classic

WoW chat channels under control: helps to respond to messages in channels and send messages at a set delay.


Tired of watching chat to find a group or selling offers?
Tired of manually sending chat messages on a timer to sell something or find someone for a group or help?
Tired of sitting and reading chat instead of enjoying the game of gouging out a murloc's eye?

ChatAssistant watches chat for you and notify when search phrases are mutches... 
Just tell **ChatAssistant** what criteria to watch for e.g. `DPS RFC` 
and **ChatAssistant** will alert you when there is a match! In reply you can whisper defined message or ignore player messages.
**ChatAssistant** works for more than just group searches... 
Tell **ChatAssistant** to watch for `WTB` or `WTS` chat messages too, the possibilities are literally endless ∞



### Options:
Enable/Disable 
Channel Selection and current search channels list status.
Dynamic Set of Search Criteria 
Auto or Manual Whisper on Match 
Custom Whisper Messages 
Auto Invite on Match
Send message after manual confirmation in selected channel by timer (up to 10 min; by 1 sec customisation).
You can watch multiple channels for different things... like /2 and /4 for "WTS"



### Commands 
Help: /ChatAssistant help 
Config: /ChatAssistant config 
Toggle Enabled/Disabled: /ChatAssistant



### Example Configuration
**ChatAssistant Enabled:** Yes 
**Listen to Channel:** 
1. No 
2. No 
3. No 
4. Yes (WoW default LFG channel)

**Match Criteria:** +/- 
1. lfm 
2. dps 
3. uld

**Auto Response:** 
Whisper: yes "Hi, lvl 45 lock, please inv" 
Invite: No



### Example Watching Trade for Specific Items Configuration
**ChatAssistant Enabled:** Yes 
**Listen to Channel:** 
1. No 
2. Yes (WoW default Trade channel) 
3. No 
4. No

**Match Criteria:** +/- 
1. wts 
2. silk cloth

**Auto Response:** 
Whisper: yes "I'm looking to buy some silk!" 
Invite: No


### A Bit of an Explanation
Lets say this is our criteria 
**Match Criteria:** +/- 
1. lfm lf1m 
2. dps heals 
3. uld scholo

Think of each criteria level (1, 2, 3) as an "**AND**" and the criteria in the level as an "**OR**" 
So the above criteria would alert when someone says (`lfm` or `lf1m`) AND (`dps` OR `heals`) AND (`uld` OR `scholo`) 
But if they don't say something that matches a value from each criteria it is ignored 
Matches: "LF1M DPS ULD", "LFM HEALS ULD", "LFM DPS SCHOLO", etc.. 
Ignored: "DPS LFG ULD", "SCHOLO need 1 more DPS", "LF TANK ULD" etc..



### Chosing the Right Criteria -- Troubleshooting
If you think you may be missing some chat messages, keep an eye on chat to see whats being said 
Did someone say `LF1M` and you were only matching on `LFM`? 
Matches are case-insensitive, so no need to add `DPS` and `dps` etc... 
If some Options UI elements aren't showing up after an update, click the `Defaults` button to reset

 

For previous version updates description look at the addon original page https://www.curseforge.com/wow/addons/lfg-classic
Big Thanks for the original LFG addon author: igotthis80 (Founder: SeeMyWings).



This version is just an attempt to share what I got after the improvements and what I have successfully used.

This SOFTWARE published by The MIT License.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.